Bug 604307 - dependency problem with latest update?
dependency problem with latest update?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
: 604305 605470 606474 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 16:01 EDT by Adam Huffman
Modified: 2010-07-06 13:10 EDT (History)
9 users (show)

See Also:
Fixed In Version: libguestfs-1.2.7-1.fc12.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:10:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2010-06-15 16:01:31 EDT
Description of problem:
I see this error when trying to update:

--> Processing Dependency: /usr/lib64/.libssl.so.1.0.0.hmac for package: 1:libguestfs-1.2.8-1.fc13.x86_64
--> Processing Dependency: /lib64/.libcrypto.so.1.0.0.hmac for package: 1:libguestfs-1.2.8-1.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: 1:libguestfs-1.2.8-1.fc13.x86_64 (@updates-testing)
           Requires: /usr/lib64/.libssl.so.1.0.0.hmac
           Removing: openssl-1.0.0-4.fc13.x86_64 (@updates)
           Available: openssl-1.0.0-1.fc13.x86_64 (fedora)
Error: Package: 1:libguestfs-1.2.8-1.fc13.x86_64 (@updates-testing)
           Requires: /lib64/.libcrypto.so.1.0.0.hmac
           Removing: openssl-1.0.0-4.fc13.x86_64 (@updates)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard W.M. Jones 2010-06-15 16:30:05 EDT
This is fixed in updates-testing.  Please test this and if it works, upvote it:

https://admin.fedoraproject.org/updates/libguestfs-1.2.9-2.fc13
Comment 2 Adam Huffman 2010-06-15 19:10:37 EDT
Done.  Thanks for the quick response.
Comment 3 Thorsten Scherf 2010-06-16 12:23:31 EDT
wfm
Comment 4 David Juran 2010-06-17 02:53:10 EDT
Also in Fedora 12

Error: Package: 1:libguestfs-1.0.85-1.fc12.3.x86_64 (@updates)
           Requires: /usr/lib64/.libcrypto.so.1.0.0.hmac
           Removing: openssl-1.0.0-4.fc12.x86_64 (@updates)
           Available: openssl-1.0.0-0.10.beta3.fc12.x86_64 (fedora)

Somewhat urgent since it's blocking an openssl security update.
Comment 5 Richard W.M. Jones 2010-06-17 03:23:55 EDT
New build submitted for F-12:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2254875
Comment 6 Fedora Update System 2010-06-17 03:48:35 EDT
libguestfs-1.2.7-1.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libguestfs-1.2.7-1.fc12.1
Comment 7 Richard W.M. Jones 2010-06-17 03:49:07 EDT
(In reply to comment #6)
> libguestfs-1.2.7-1.fc12.1 has been submitted as an update for Fedora 12.
> http://admin.fedoraproject.org/updates/libguestfs-1.2.7-1.fc12.1    

Please upvote this if it works for you.
Comment 8 Richard W.M. Jones 2010-06-18 03:35:27 EDT
*** Bug 605470 has been marked as a duplicate of this bug. ***
Comment 9 Richard W.M. Jones 2010-06-18 11:31:17 EDT
*** Bug 604305 has been marked as a duplicate of this bug. ***
Comment 10 Fedora Update System 2010-06-21 08:56:16 EDT
libguestfs-1.2.7-1.fc12.1 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libguestfs-1.2.7-1.fc12.1
Comment 11 Jinxin Zheng 2010-06-28 06:35:50 EDT
(In reply to comment #0)
> Description of problem:
> I see this error when trying to update:
> 
> --> Processing Dependency: /usr/lib64/.libssl.so.1.0.0.hmac for package:
> 1:libguestfs-1.2.8-1.fc13.x86_64
> --> Processing Dependency: /lib64/.libcrypto.so.1.0.0.hmac for package:
> 1:libguestfs-1.2.8-1.fc13.x86_64
> --> Finished Dependency Resolution
> Error: Package: 1:libguestfs-1.2.8-1.fc13.x86_64 (@updates-testing)
>            Requires: /usr/lib64/.libssl.so.1.0.0.hmac
>            Removing: openssl-1.0.0-4.fc13.x86_64 (@updates)
>            Available: openssl-1.0.0-1.fc13.x86_64 (fedora)
> Error: Package: 1:libguestfs-1.2.8-1.fc13.x86_64 (@updates-testing)
>            Requires: /lib64/.libcrypto.so.1.0.0.hmac
>            Removing: openssl-1.0.0-4.fc13.x86_64 (@updates)
> 

(In reply to comment #4)
> Also in Fedora 12
> 
> Error: Package: 1:libguestfs-1.0.85-1.fc12.3.x86_64 (@updates)
>            Requires: /usr/lib64/.libcrypto.so.1.0.0.hmac
>            Removing: openssl-1.0.0-4.fc12.x86_64 (@updates)
>            Available: openssl-1.0.0-0.10.beta3.fc12.x86_64 (fedora)
> 
> Somewhat urgent since it's blocking an openssl security update.    

I can reproduce with the two problem packages described either on f12 or f13.

(In reply to comment #1)
> This is fixed in updates-testing.  Please test this and if it works, upvote it:
> 
> https://admin.fedoraproject.org/updates/libguestfs-1.2.9-2.fc13    

(In reply to comment #6)
> libguestfs-1.2.7-1.fc12.1 has been submitted as an update for Fedora 12.
> http://admin.fedoraproject.org/updates/libguestfs-1.2.7-1.fc12.1    

I have verified these two packages separately on f12 and f13. Both seems to solve this issue.
Comment 12 Richard W.M. Jones 2010-07-01 06:21:08 EDT
*** Bug 606474 has been marked as a duplicate of this bug. ***
Comment 13 Fedora Update System 2010-07-06 13:10:43 EDT
libguestfs-1.2.7-1.fc12.1 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.